import { geoEqualEarth, geoMercator, geoPath } from 'd3';

const projection = geoMercator()
export const Marks = ({ data: { laen, interiors } }) => {

	
  const path = geoPath(projection.fitExtent([[20, 20], [940, 480]], laen))
 
  // method to set the outine of the country map
  return (
  <g className="marks">
     {laen.features.map((feature) => (
      <path
        className={'feature'}
        d={path(feature)}
      />
    ))}
    <path
      className={'interiors'}
      d={path(interiors)}
    />
  </g>
)};
